# ArrowPlot Class Reference

`#include <ArrowPlot.h>`

Collaboration diagram for ArrowPlot:
[legend]

List of all members.

## Public Slots
void | setShowArrowPlot (int showCheckState)
void | setArrowsPerDim (int arrowsPerDim)
void | setArrowSize (int arrowSize)
void | setTimestep (int timestep)
void | setArrowType (int type)
## Public Member Functions
| ArrowPlot (FlowScene *flowScene)
virtual | ~ArrowPlot (void)
void | drawArrowPlot (FlowData *flowData, int sceneWidth, int sceneHeight, QPointF pos, float zDistance, float xratio, float yratio)
void | setArrowColor (QColor &color)
## Private Attributes
FlowScene * | m_flowScene
bool | m_showArrowPlot
Texture2D | m_arrowTex2D
int | m_timestep
QColor | m_arrowColor
int | m_arrowsPerDim
int | m_arrowSize
float | m_zDistance
QPointF | m_pos
float | m_yratio
float | m_xratio

## Constructor & Destructor Documentation

ArrowPlot::ArrowPlot | ( | FlowScene * | flowScene | ) |

ArrowPlot::~ArrowPlot | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ArrowPlot::drawArrowPlot | ( | FlowData * | flowData,
|  | int | sceneWidth,
|  | int | sceneHeight,
|  | QPointF | pos,
|  | float | zDistance,
|  | float | xratio,
|  | float | yratio |
| ) |  |  |

Draws an ArrowPlot of this Flow Data into the Scene

Holds the complete flowdata With of the Scene Height of the Scene current position in the data (needed when zoom is activated zoomfactor

void ArrowPlot::setArrowColor | ( | QColor & | color | ) |

void ArrowPlot::setArrowSize | ( | int | arrowSize | ) | `[slot]`

void ArrowPlot::setArrowsPerDim | ( | int | arrowsPerDim | ) | `[slot]`

void ArrowPlot::setArrowType | ( | int | type | ) | `[slot]`

void ArrowPlot::setShowArrowPlot | ( | int | showCheckState | ) | `[slot]`

void ArrowPlot::setTimestep | ( | int | timestep | ) | `[slot]`

## Member Data Documentation

QColor ArrowPlot::m_arrowColor`[private]`

int ArrowPlot::m_arrowSize`[private]`

int ArrowPlot::m_arrowsPerDim`[private]`

Texture2D ArrowPlot::m_arrowTex2D`[private]`

FlowScene* ArrowPlot::m_flowScene`[private]`

QPointF ArrowPlot::m_pos`[private]`

bool ArrowPlot::m_showArrowPlot`[private]`

int ArrowPlot::m_timestep`[private]`

float ArrowPlot::m_xratio`[private]`

float ArrowPlot::m_yratio`[private]`

float ArrowPlot::m_zDistance`[private]`

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/ArrowPlot.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/ArrowPlot.cpp